/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.action;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.ui.*;

/**
 * Display a dialog that shows all of the icons used by the application along with a description of what they mean.
 * 
 * @author Jennifer Vendetti 
 */

public class ShowIconDialog extends ProjectAction {

    public ShowIconDialog() {
        this(null);
    }

    public ShowIconDialog(Icon icon) {
        super("Icons...", icon);
        setEnabled(true);
    }

    public void actionPerformed(ActionEvent ae) {
        JComponent parent = getProjectManager().getMainPanel();
        if (parent != null) {
            Window window = SwingUtilities.windowForComponent(parent);
            if (window instanceof Frame) {
                IconDialog dialog = new IconDialog((Frame) window, Text.getProgramName() + ": Icons", false);
                dialog.setSize(500, 300);
                dialog.setLocationRelativeTo(parent);
                dialog.setVisible(true);
            }
        }
    }
}
