/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.test;

import junit.extensions.*;
import junit.framework.*;

import edu.stanford.smi.protege.util.*;

/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class FactoryTestSetup extends TestSetup {
    private ProjectFactory factory;

    public FactoryTestSetup(TestSuite test, ProjectFactory factory) {
        super(getTest(test, factory));
        this.factory = factory;
    }

    private static Test getTest(TestSuite suite, ProjectFactory factory) {
        TestSuite test = new TestSuite(StringUtilities.getClassName(factory.getClass()) + " Tests");
        test.addTest(suite);
        return test;
    }

    public void setUp() {
        APITestCase.setProjectFactory(factory);
    }

    public void tearDown() {
        APITestCase.setProjectFactory(null);
    }
}
